Bug 198982 - Hook up WebGL's back buffer in ANGLE backend on macOS
Summary: Hook up WebGL's back buffer in ANGLE backend on macOS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Kenneth Russell
URL:
Keywords: InRadar
Depends on: 197755
Blocks: 198948
  Show dependency treegraph
 
Reported: 2019-06-18 16:41 PDT by Kenneth Russell
Modified: 2019-07-10 11:44 PDT (History)
10 users (show)

See Also:


Attachments
Patch (105.91 KB, patch)
2019-07-09 20:56 PDT, Kenneth Russell
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Russell 2019-06-18 16:41:44 PDT
In bug 197755 a preliminary ANGLE backend was added to WebCore's WebGL implementation which doesn't render anything yet. The back buffer needs to be hooked up on the macOS port as a start.
Comment 1 Kenneth Russell 2019-07-09 20:56:26 PDT
Created attachment 373816 [details]
Patch
Comment 2 Build Bot 2019-07-09 20:58:47 PDT
Note that there are important steps to take when updating ANGLE. See http://trac.webkit.org/wiki/UpdatingANGLE
Comment 3 Kenneth Russell 2019-07-09 20:59:09 PDT
The attached patch fixes many bugs encountered along the way toward getting the ANGLE backend for WebKit's WebGL implementation to draw correctly to the screen on desktop macOS. It runs the San Angeles demo correctly, as well as parts of the WebGL 1.0 conformance suite.

If necessary the patch can be split up, though this will be a bit difficult since the intermediate patches can't be tested until all of them land.
Comment 4 WebKit Commit Bot 2019-07-10 11:43:08 PDT
Comment on attachment 373816 [details]
Patch

Clearing flags on attachment: 373816

Committed r247315: <https://trac.webkit.org/changeset/247315>
Comment 5 WebKit Commit Bot 2019-07-10 11:43:10 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2019-07-10 11:44:15 PDT
<rdar://problem/52903988>